# std::binder1st< Operation > Class Template Reference
[Binder Classes]

One of the binder functors. More...

`#include <stl_function.h>`

Inheritance diagram for std::binder1st< Operation >:

[legend]
Collaboration diagram for std::binder1st< Operation >:

[legend]
List of all members.

## Public Types
typedef Operation::second_argument_type | argument_type
| `argument_type` is the type of the
typedef Operation::result_type | result_type
| `result_type` is the return type

## Detailed Description

### template<class Operation>
class std::binder1st< Operation >

One of the binder functors.

Definition at line 392 of file stl_function.h.

## Member Typedef Documentation

typedef Operation::second_argument_type std::unary_function< Operation::second_argument_type , Operation::result_type >::argument_type`[inherited]`

| `argument_type` is the type of the Definition at line 104 of file stl_function.h.

typedef Operation::result_type std::unary_function< Operation::second_argument_type , Operation::result_type >::result_type`[inherited]`

| `result_type` is the return type Definition at line 107 of file stl_function.h.

The documentation for this class was generated from the following file:

- stl_function.h